;-------------------------------------------------------------------
; USBTBLT.INF -- Copyright (c)
; -----------------------------------------------------------------

[Version]
LayoutFile=Layout.inf, Layout1.inf, Layout2.inf
signature="$CHICAGO$"
Provider=%Provider%
Class=HID

[Manufacturer]
%Provider%=USB_TABLET

[DestinationDirs]
USB_TABLET.CopyToWindows=10
USB_TABLET.CopyToWindowsSystem=11
USB_SYSTEM.CopyToDrivers=10,system32\drivers

[ControlFlags]
;ExcludeFromSelect=*

[USB_TABLET]
%Product6000%=USB_TABLET_6000,USB\VID_08CA&PID_0010&REV_0210
%Product6000%=USB_TABLET_6000,USB\VID_08CA&PID_0010&REV_0212
%Product6000%=USB_TABLET_6000,USB\VID_08CA&PID_0010&REV_0220
;%Product6000%=USB_TABLET_6000,USB\VID_08CA&PID_0010&REV_020C
;%Product6000%=USB_TABLET_6000,USB\VID_08CA&PID_0010&REV_020D
;%Product6000%=USB_TABLET_6000,USB\VID_08CA&PID_0010
%Product6000%=USB_TABLET_6000,USB\VID_08CA&PID_0020
%Product5000%=USB_TABLET_5000,USB\VID_08CA&PID_0021
%Product4000%=USB_TABLET_4000,USB\VID_08CA&PID_0022
%Product4000%=USB_TABLET_4000,USB\VID_172F&PID_0022
%Product8000%=USB_TABLET_8000,USB\VID_08CA&PID_0023
%Product6000%=USB_TABLET_6000,USB\VID_08CA&PID_0024
%Product6000%=USB_TABLET_6000,USB\VID_172F&PID_0024
%Product6000%=USB_TABLET_6000,USB\VID_172F&PID_0025
%Product6000%=USB_TABLET_6000,USB\VID_172F&PID_0028
%Product6000%=USB_TABLET_6000,USB\VID_172F&PID_0030
%Product6000%=USB_TABLET_6000,USB\VID_172F&PID_0051
%Product6000%=USB_TABLET_6000,USB\VID_172F&PID_0031
%Product6000%=USB_TABLET_6000,USB\VID_172F&PID_0500
;%Product6000%=USB_TABLET_6000,USB\VID_08CA&PID_00;50




[USB_TABLET_6000]
CopyFiles=USB_TABLET.CopyToWindowsSystem,USB_SYSTEM.CopyToDrivers,USB_TABLET.CopyToWindows
UpdateInis=USB_TABLET.UpdateInis
AddReg=USB_TABLET.AddReg,USB_TABLET_6000.AddReg

[USB_TABLET_5000]
CopyFiles=USB_TABLET.CopyToWindowsSystem,USB_SYSTEM.CopyToDrivers,USB_TABLET.CopyToWindows
UpdateInis=USB_TABLET.UpdateInis
AddReg=USB_TABLET.AddReg,USB_TABLET_5000.AddReg

[USB_TABLET_4000]
CopyFiles=USB_TABLET.CopyToWindowsSystem,USB_SYSTEM.CopyToDrivers,USB_TABLET.CopyToWindows
UpdateInis=USB_TABLET.UpdateInis
AddReg=USB_TABLET.AddReg,USB_TABLET_4000.AddReg

[USB_TABLET_8000]
CopyFiles=USB_TABLET.CopyToWindowsSystem,USB_SYSTEM.CopyToDrivers,USB_TABLET.CopyToWindows
UpdateInis=USB_TABLET.UpdateInis
AddReg=USB_TABLET.AddReg,USB_TABLET_8000.AddReg

[USB_TABLET_3000]
CopyFiles=USB_TABLET.CopyToWindowsSystem,USB_SYSTEM.CopyToDrivers,USB_TABLET.CopyToWindows
UpdateInis=USB_TABLET.UpdateInis
AddReg=USB_TABLET.AddReg,USB_TABLET_3000.AddReg

[USB_TABLET.AddReg]
HKR,,DevLoader,,*ntkern
HKR,,NTMPDriver,,"hidusb.sys,atwtvxd.vxd"
;//HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\RunOnce,USBTblFilter,,"RUNDLL32 UTBLFILT,SetupFilter "USB\VID_08CA&PID_0010" -add -lower utblfilt.sys"
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\RmTablet,UninstallString,,"RmTablet.exe /S"
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\RmTablet,,,
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\RunOnce,"ATWTRES",,"RUNDLL32 FuncKey.DLL,ExtFuncCall AB"

[USB_TABLET_6000.AddReg]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\RmTablet,DisplayName,,"%REMOVE_DESC_6000%"
[USB_TABLET_5000.AddReg]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\RmTablet,DisplayName,,"%REMOVE_DESC_5000%"
[USB_TABLET_4000.AddReg]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\RmTablet,DisplayName,,"%REMOVE_DESC_4000%"
[USB_TABLET_8000.AddReg]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\RmTablet,DisplayName,,"%REMOVE_DESC_8000%"
[USB_TABLET_3000.AddReg]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\RmTablet,DisplayName,,"%REMOVE_DESC_3000%"

[USB_TABLET.UpdateInis]
system.ini,drivers,,"tablet=wttablet.drv",0
%10%\inf\msmouse.inf,HIDMouse,,"CopyFiles=",0

[USB_TABLET.CopyToWindowsSystem]
tablet.vxd
atwtusb.exe
atwtexe.exe
wttablet.drv
wintab.dll
wintab32.dll
atwt16.dll
tblmouse.exe
tblfunc.dll
tablet.cpl
TblRes.dll
funckey.dll
atwtvxd.vxd
mouhid.vxd,,,16
utblfilt.dll

[USB_SYSTEM.CopyToDrivers]
hidusb.sys,,,16
utblfilt.sys
Hidclass.sys,,,16
Hidparse.sys,,,16

[USB_TABLET.CopyToWindows]
rmtablet.exe
aiptbl.ini

[SourceDisksFiles]
tablet.vxd=1
atwtusb.exe=1
atwtexe.exe=1
wttablet.drv=1
wintab.dll=1
wintab32.dll=1
atwt16.dll=1
tblmouse.exe=1
tblfunc.dll=1
atwtvxd.vxd=1
tablet.cpl=1
TblRes.dll=1
funckey.dll=1
rmtablet.exe=1
aiptbl.ini=1
hidusb.sys=1
mouhid.vxd=1
utblfilt.dll=1
utblfilt.sys=1
Hidclass.sys=1
Hidparse.sys=1

[SourceDisksNames]
1=%DiskName%,,,

[Strings]
Provider="Tablet"
DiskName="USB Tablet Setup/Driver CD"
Product6000="USB Tablet"
Product5000="USB Tablet"
Product4000="USB Tablet"
Product8000="USB Tablet"
Product3000="USB Tablet"
REMOVE_DESC_6000="USB Tablet Manager"
REMOVE_DESC_5000="USB Tablet Manager"
REMOVE_DESC_4000="USB Tablet Manager"
REMOVE_DESC_8000="USB Tablet Manager"
REMOVE_DESC_3000="USB Tablet Manager"

